import { HttpClient, HttpHeaders } from '@angular/common/http';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { ApiVisa } from '../shared';
import { ApiResponseModel } from '../shared/api-response.model';
import { Observable } from 'rxjs';
export declare class AppLoginRootToTenantSyncService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    getHttpHeader(apiVisa: ApiVisa): {
        headers: HttpHeaders;
    };
    synchData(tenantCode: string, apiVisa: ApiVisa): Observable<ApiResponseModel<any>>;
}
